# Generated by Django 2.2 on 2019-06-07 13:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('frontend', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Query',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('method', models.CharField(choices=[('get', 'GET'), ('post', 'POST'), ('put', 'PUT'), ('delete', 'Delete')], default='get', max_length=10)),
                ('status', models.CharField(choices=[('ok', 'Ok'), ('error', 'Error'), ('inProgress', 'InProgress')], default='inProgress', max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='SectionQuery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.Project')),
            ],
        ),
        migrations.CreateModel(
            name='QueryResponse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.CharField(max_length=10000)),
                ('query', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='queries.Query')),
            ],
        ),
        migrations.CreateModel(
            name='QueryExpectedData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('variable', models.CharField(max_length=30)),
                ('dataType', models.CharField(max_length=30)),
                ('value', models.CharField(blank=True, max_length=30, null=True)),
                ('query', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='queries.Query')),
            ],
        ),
        migrations.CreateModel(
            name='QueryData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dataType', models.CharField(choices=[('header', 'Header'), ('form', 'Form'), ('json', 'Json')], default='form', max_length=10)),
                ('variable', models.CharField(blank=True, max_length=30, null=True)),
                ('value', models.CharField(blank=True, max_length=30, null=True)),
                ('description', models.CharField(blank=True, max_length=300, null=True)),
                ('json', models.CharField(blank=True, max_length=5000, null=True)),
                ('query', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='queries.Query')),
            ],
        ),
        migrations.AddField(
            model_name='query',
            name='section',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='queries.SectionQuery'),
        ),
        migrations.CreateModel(
            name='EnvironmentValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('environmentType', models.CharField(choices=[('domain', 'Domain'), ('variable', 'Variable')], default='variable', max_length=10)),
                ('variable', models.CharField(max_length=30)),
                ('value', models.CharField(max_length=30)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.Project')),
            ],
        ),
    ]
